Debian Bug report logs - #485764
Regression with --blank-lines-after-declarations in 2.2.10

version graph

Package: indent; Maintainer for indent is Santiago Vila <sanvila@debian.org>; Source for indent is src:indent.

Reported by: Sebastian Dröge <slomo@circular-chaos.org>

Date: Wed, 11 Jun 2008 09:57:02 UTC

Severity: important

Tags: upstream

Found in version indent/2.2.10-1

Fixed in version indent/2.2.11-1

Done: Santiago Vila <sanvila@debian.org>

Bug is archived. No further changes may be made.

Forwarded to bug-indent@gnu.org

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#485764; Package indent. Full text and rfc822 format available.

Acknowledgement sent to Sebastian Dröge <slomo@circular-chaos.org>:
New Bug report received and forwarded. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sebastian Dröge <slomo@circular-chaos.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Regression with --blank-lines-after-declarations in 2.2.10
Date: Wed, 11 Jun 2008 11:24:23 +0200
[Message part 1 (text/plain, inline)]
Package: indent
Version: 2.2.10-1
Severity: important

Hi,
since 2.2.10 indent adds too many newlines when using
--blank-lines-after-declarations. Sample code below
gets a newline between the declarations of a and b
added while this parameter should only add a newline after
blocks of declarations, i.e. after the declaration of b.

>         int
>         main (int a, char ** b)
>         {
>           int a;
>           int b;
>          
>           return 0;
>         }

Bye
[signature.asc (application/pgp-signature, inline)]

Reply sent to Santiago Vila <sanvila@unex.es>:
You have marked Bug as forwarded. Full text and rfc822 format available.

Message #8 received at 485764-forwarded@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: bug-indent@gnu.org
Cc: 485764-forwarded@bugs.debian.org, Sebastian Dröge <slomo@circular-chaos.org>
Subject: Bug#485764: Regression with --blank-lines-after-declarations in 2.2.10 (fwd)
Date: Wed, 11 Jun 2008 12:40:42 +0200 (CEST)
Hello.

I received this from the Debian bug system.

---------- Forwarded message ----------
From: "Sebastian [UTF-8] Dröge" <slomo@circular-chaos.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Date: Wed, 11 Jun 2008 11:24:23 +0200
Subject: Bug#485764: Regression with --blank-lines-after-declarations in 2.2.10

Package: indent
Version: 2.2.10-1
Severity: important

Hi,
since 2.2.10 indent adds too many newlines when using
--blank-lines-after-declarations. Sample code below
gets a newline between the declarations of a and b
added while this parameter should only add a newline after
blocks of declarations, i.e. after the declaration of b.

>         int
>         main (int a, char ** b)
>         {
>           int a;
>           int b;
>          
>           return 0;
>         }

Bye




Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#485764; Package indent. (Wed, 15 Jul 2009 14:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Neteler <neteler@osgeo.org>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. (Wed, 15 Jul 2009 14:57:02 GMT) Full text and rfc822 format available.

Message #13 received at 485764@bugs.debian.org (full text, mbox):

From: Markus Neteler <neteler@osgeo.org>
To: 485764@bugs.debian.org
Subject: Regression with --blank-lines-after-declarations in 2.2.10
Date: Wed, 15 Jul 2009 16:53:20 +0200
Reported upstream:

https://savannah.gnu.org/bugs/index.php?27036




Added tag(s) upstream. Request was from Santiago Vila <sanvila@unex.es> to control@bugs.debian.org. (Thu, 27 Aug 2009 11:12:29 GMT) Full text and rfc822 format available.

Reply sent to Santiago Vila <sanvila@debian.org>:
You have taken responsibility. (Sat, 26 Jun 2010 12:48:05 GMT) Full text and rfc822 format available.

Notification sent to Sebastian Dröge <slomo@circular-chaos.org>:
Bug acknowledged by developer. (Sat, 26 Jun 2010 12:48:05 GMT) Full text and rfc822 format available.

Message #20 received at 485764-close@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@debian.org>
To: 485764-close@bugs.debian.org
Subject: Bug#485764: fixed in indent 2.2.11-1
Date: Sat, 26 Jun 2010 12:46:05 +0000
Source: indent
Source-Version: 2.2.11-1

We believe that the bug you reported is fixed in the latest version of
indent, which is due to be installed in the Debian FTP archive:

indent-doc_2.2.11-1_all.deb
  to main/i/indent/indent-doc_2.2.11-1_all.deb
indent_2.2.11-1.debian.tar.gz
  to main/i/indent/indent_2.2.11-1.debian.tar.gz
indent_2.2.11-1.dsc
  to main/i/indent/indent_2.2.11-1.dsc
indent_2.2.11-1_amd64.deb
  to main/i/indent/indent_2.2.11-1_amd64.deb
indent_2.2.11.orig.tar.gz
  to main/i/indent/indent_2.2.11.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 485764@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Vila <sanvila@debian.org> (supplier of updated indent package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 26 Jun 2010 11:07:46 +0200
Source: indent
Binary: indent indent-doc
Architecture: source all amd64
Version: 2.2.11-1
Distribution: unstable
Urgency: low
Maintainer: Santiago Vila <sanvila@debian.org>
Changed-By: Santiago Vila <sanvila@debian.org>
Description: 
 indent     - C language source code formatting program
 indent-doc - Documentation for GNU indent
Closes: 485764 527450 536527 587083
Changes: 
 indent (2.2.11-1) unstable; urgency=low
 .
   * Fixed manual. Option -dj does not take a parameter. Closes: #536527.
   * Switch to 3.0 (quilt) source format.
   * New upstream release (Closes: #587083), fixes the following bugs:
   * Option --blank-lines-after-declarations no longer adds an empty line
     for each declaration (regression from 2.2.10). Closes: #485764.
   * No longer converts "a = - -1" into "a = --1". Closes: #527450.
Checksums-Sha1: 
 348ea3bcb99f638bdf1a42919bf7c152c3ffea63 1340 indent_2.2.11-1.dsc
 9b242528bbc4914464117c69ffae9df24d3fa4a7 778563 indent_2.2.11.orig.tar.gz
 1289c1733fbcaa9ccda47bbdb73ddbd9de24986b 14415 indent_2.2.11-1.debian.tar.gz
 6c66bc110f2d5ebc4ac8d45c73aa68ed2106f898 32856 indent-doc_2.2.11-1_all.deb
 93d454e4771f57607bad9c32f730a2b563249daa 112454 indent_2.2.11-1_amd64.deb
Checksums-Sha256: 
 dab05af597a125ac9d8e680ae8bdadf99b8d654039139606efaf2f0b368d2e00 1340 indent_2.2.11-1.dsc
 aaff60ce4d255efb985f0eb78cca4d1ad766c6e051666073050656b6753a0893 778563 indent_2.2.11.orig.tar.gz
 2161d432d4665496aa5a67b44dfb7cbebff0472847c4b052405ab94b7003c6d2 14415 indent_2.2.11-1.debian.tar.gz
 a2fec89743e33bec81afe0213beedf7530399f1a7fba9ef020e93025ad66eace 32856 indent-doc_2.2.11-1_all.deb
 c3171ab96112fb66f5294fdf4e9dd0771269edded63b2a875b01390436c31beb 112454 indent_2.2.11-1_amd64.deb
Files: 
 11bf0fdcd0728aecd37ecb30f1c0bfa8 1340 devel optional indent_2.2.11-1.dsc
 98beafca62472805a3739d3867d5d70f 778563 devel optional indent_2.2.11.orig.tar.gz
 6bab83c3f84da2596d05971d1687ee91 14415 devel optional indent_2.2.11-1.debian.tar.gz
 d3ffdda5fc1d99a97d70b10de18abe92 32856 doc optional indent-doc_2.2.11-1_all.deb
 9f791d8b1b7bf8e824fbd22121e9260e 112454 devel optional indent_2.2.11-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQEcBAEBCAAGBQJMJcUOAAoJEEHOfwufG4syDuwIAKeJwlifnqbOygqp2s18JuyI
W4OHqyHDwaIjKVI8rmAlQj0b+FFx43zBh8yimfBGsR0sMyy+yzHJkRUWvkEW8d3Z
q7yTfqJ5GnSY8YLqS4etwQiKZUAmwB8dkpFJrOZgdLM0gGSLLNGEHK2tgf8AL9Xm
uNGnWgeROcxyy99BnsGdUUAezttVZIkrD7IizqzV13dfdBqaDjsRAeL70BWiPqZw
EyVa1s5yoMpzEfM4+3GgdbNfJYVscOYc/05a3TbBqCAbI6A9ngX9rnnmW4IQcOov
OATv1xfmcbt/LN6rzciVLrSsbUQkyFETWaIi3ddHfjOTZztcWmokpELmrOs8GAs=
=PIag
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 05 Aug 2010 07:40:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 06:39:07 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.